Skip to content
Start here

Create Instant Logs job

client.logpush.edge.create(EdgeCreateParams { zone_id, fields, filter, sample } params, RequestOptionsoptions?): InstantLogpushJob { destination_conf, fields, filter, 2 more } | null
POST/zones/{zone_id}/logpush/edge/jobs

Creates a new Instant Logs job for a zone.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Logs Read
ParametersExpand Collapse
params: EdgeCreateParams { zone_id, fields, filter, sample }
zone_id: string

Path param: Identifier.

maxLength32
fields?: string

Body param: Comma-separated list of fields.

filter?: string

Body param: Filters to drill down into specific events.

sample?: number

Body param: The sample parameter is the sample rate of the records set by the client: “sample”: 1 is 100% of records “sample”: 10 is 10% and so on.

ReturnsExpand Collapse
InstantLogpushJob { destination_conf, fields, filter, 2 more } | null
destination_conf?: string

Unique WebSocket address that will receive messages from Cloudflare’s edge.

formaturi
maxLength4096
fields?: string

Comma-separated list of fields.

filter?: string

Filters to drill down into specific events.

sample?: number

The sample parameter is the sample rate of the records set by the client: “sample”: 1 is 100% of records “sample”: 10 is 10% and so on.

session_id?: string

Unique session id of the job.

Create Instant Logs job

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const instantLogpushJob = await client.logpush.edge.create({
  zone_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(instantLogpushJob.session_id);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "destination_conf": "wss://logs.cloudflare.com/instant-logs/ws/sessions/99d471b1ca3c23cc8e30b6acec5db987",
    "fields": "ClientIP,ClientRequestHost,ClientRequestMethod,ClientRequestURI,EdgeEndTimestamp,EdgeResponseBytes,EdgeResponseStatus,EdgeStartTimestamp,RayID",
    "filter": "{\"where\":{\"and\":[{\"key\":\"ClientCountry\",\"operator\":\"neq\",\"value\":\"ca\"}]}}",
    "sample": 1,
    "session_id": "99d471b1ca3c23cc8e30b6acec5db987"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "destination_conf": "wss://logs.cloudflare.com/instant-logs/ws/sessions/99d471b1ca3c23cc8e30b6acec5db987",
    "fields": "ClientIP,ClientRequestHost,ClientRequestMethod,ClientRequestURI,EdgeEndTimestamp,EdgeResponseBytes,EdgeResponseStatus,EdgeStartTimestamp,RayID",
    "filter": "{\"where\":{\"and\":[{\"key\":\"ClientCountry\",\"operator\":\"neq\",\"value\":\"ca\"}]}}",
    "sample": 1,
    "session_id": "99d471b1ca3c23cc8e30b6acec5db987"
  }
}